gridX API Changelog

API Changes

GET /gateways

  • added the new optional query request parameter order
  • added the new optional query request parameter sort

GET /gateways/{gatewayID}/firmware

  • added the success response with the status 204

GET /gateways/{gatewayID}/jobs

  • added the new optional query request parameter order
  • added the new optional query request parameter page
  • added the new optional query request parameter per_page
  • added the new optional query request parameter sort

GET /gateways/{gatewayID}/scans

  • added the new optional query request parameter order
  • added the new optional query request parameter sort

GET /systems/list

  • added the non-success response with the status 400
  • added the optional property metadata/nextCursor to the response with the 200 status

PATCH /systems/{systemID}/assets/{assetID}

  • added #/components/schemas/EVAssetUpdate, #/components/schemas/EVStationAssetUpdate, #/components/schemas/InverterAssetUpdate to the allOf[#/components/schemas/AssetUpdate]/ request property oneOf list

(sha eef1fcb5)

API Changes

POST /gateways/{gatewayID}/jobs

  • endpoint added

POST /gateways/{gatewayID}/jobs/{jobType}

  • endpoint deprecated

(sha e91c7445)

API Changes

GET /systems/{systemID}/timeofuse/settings

  • :warning: the response property systemKind became optional for the status 200

PATCH /systems/{systemID}/timeofuse/settings

  • :warning: the response property systemKind became optional for the status 200
  • request property allOf[#/components/schemas/TimeOfUseSettings]/systemKind deprecated

PUT /systems/{systemID}/timeofuse/settings

  • :warning: the response property systemKind became optional for the status 200
  • request property allOf[#/components/schemas/TimeOfUseSettingsPut]/allOf[#/components/schemas/TimeOfUseSettings]/systemKind deprecated
  • request property allOf[#/components/schemas/TimeOfUseSettingsPut]/allOf[subschema #2]/systemKind deprecated

(sha ea07ece6)